USE [master]
GO
/****** Object:  Database [SportsMan]    Script Date: 8/23/2020 11:51:18 AM ******/
CREATE DATABASE [SportsMan]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'SportsMan', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.SQLEXPRESS\MSSQL\DATA\SportsMan.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'SportsMan_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL15.SQLEXPRESS\MSSQL\DATA\SportsMan_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
 WITH CATALOG_COLLATION = DATABASE_DEFAULT
GO
ALTER DATABASE [SportsMan] SET COMPATIBILITY_LEVEL = 150
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [SportsMan].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [SportsMan] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [SportsMan] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [SportsMan] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [SportsMan] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [SportsMan] SET ARITHABORT OFF 
GO
ALTER DATABASE [SportsMan] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [SportsMan] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [SportsMan] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [SportsMan] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [SportsMan] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [SportsMan] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [SportsMan] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [SportsMan] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [SportsMan] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [SportsMan] SET  DISABLE_BROKER 
GO
ALTER DATABASE [SportsMan] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [SportsMan] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [SportsMan] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [SportsMan] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [SportsMan] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [SportsMan] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [SportsMan] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [SportsMan] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [SportsMan] SET  MULTI_USER 
GO
ALTER DATABASE [SportsMan] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [SportsMan] SET DB_CHAINING OFF 
GO
ALTER DATABASE [SportsMan] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [SportsMan] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [SportsMan] SET DELAYED_DURABILITY = DISABLED 
GO
ALTER DATABASE [SportsMan] SET QUERY_STORE = OFF
GO
USE [SportsMan]
GO
/****** Object:  Table [dbo].[Athlete]    Script Date: 8/23/2020 11:51:18 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Athlete](
	[AthleteId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NULL,
	[DOB] [datetime2](7) NULL,
	[Gender] [nvarchar](50) NULL,
	[CoachId] [int] NULL,
	[SportId] [int] NULL,
 CONSTRAINT [PK_Athlete] PRIMARY KEY CLUSTERED 
(
	[AthleteId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Coach]    Script Date: 8/23/2020 11:51:18 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Coach](
	[CoachId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NULL,
	[DOB] [datetime2](7) NULL,
	[Gender] [nvarchar](50) NULL,
 CONSTRAINT [PK_Coach] PRIMARY KEY CLUSTERED 
(
	[CoachId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Sport]    Script Date: 8/23/2020 11:51:18 AM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Sport](
	[SportId] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NULL,
 CONSTRAINT [PK_Sport] PRIMARY KEY CLUSTERED 
(
	[SportId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, OPTIMIZE_FOR_SEQUENTIAL_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[Athlete]  WITH CHECK ADD  CONSTRAINT [FK_Athlete_Coach] FOREIGN KEY([CoachId])
REFERENCES [dbo].[Coach] ([CoachId])
GO
ALTER TABLE [dbo].[Athlete] CHECK CONSTRAINT [FK_Athlete_Coach]
GO
ALTER TABLE [dbo].[Athlete]  WITH CHECK ADD  CONSTRAINT [FK_Athlete_Sport] FOREIGN KEY([SportId])
REFERENCES [dbo].[Sport] ([SportId])
GO
ALTER TABLE [dbo].[Athlete] CHECK CONSTRAINT [FK_Athlete_Sport]
GO
USE [master]
GO
ALTER DATABASE [SportsMan] SET  READ_WRITE 
GO
